## torcs 1.3.7+dfsg

=== Makefile ===
##############################################################################
#
#    file                 : Makefile
#    created              : Mon Dec 11 22:30:53 CET 2000
#    copyright            : (C) 2000 by Eric Espié
#    email                : Eric.Espie@torcs.org
#    version              : $Id: Makefile,v 1.29.2.1 2008/09/03 21:49:41 berniw Exp $
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################


# #### The Open Racing Car Simulator ####

ifndef TORCS_BASE

TORCS_BASE = $(shell pwd)
MAKE_DEFAULT = ${TORCS_BASE}/Make-default.mk
TORCS_RC = ${TORCS_BASE}/.torcs.rc

-include Make-config

restart:
	@echo "TORCS_BASE = ${TORCS_BASE}" > ${TORCS_RC}
	@echo "MAKE_DEFAULT = ${MAKE_DEFAULT}" >> ${TORCS_RC}
	${MAKE} TORCS_BASE=${TORCS_BASE} MAKE_DEFAULT=${MAKE_DEFAULT}

endif

ifndef MAKE_DEFAULT

MAKE_DEFAULT = ${TORCS_BASE}/Make-default.mk

-include Make-config

restart2:
	${MAKE} TORCS_BASE=${TORCS_BASE} MAKE_DEFAULT=${MAKE_DEFAULT}

endif

PKGLIST		= src \
		  src-robots-base \
		  data \
		  data-cars-extra \
		  data-cars-Patwo-Design \
		  data-cars-kcendra-gt \
		  data-cars-kcendra-sport \
		  data-cars-kcendra-roadsters \
		  data-tracks-road \
		  data-tracks-oval \
		  data-tracks-dirt \
		  data-devel

DATASUBDIRS	= data

SHIPSUBDIRS	= src

SHIPEXECSUBDIRS	= src

EXPINCDIRS	= src

TOOLSUBDIRS	= src

SUBDIRS		= src

DATADIR 	= .

DATA    	= COPYING Ticon.png Ticon.ico tux.png logo-skinner.png

SHIPEXECDIR	= .

SHIPEXEC	= setup_linux.sh

PKGSUBDIRS	= src data

src_PKGFILES	= $(shell find * -maxdepth 0 -type f -print | grep -v TAGS | grep -v torcstune.jar)

src_PKGDIR	= ${PACKAGE}-${VERSION}

-include ${MAKE_DEFAULT}

Make-config: configure Make-config.in
	rm -f config.status config.log config.cache
	./configure
	rm -f config.status config.log config.cache

configure: configure.in config.h.in aclocal.m4
	rm -f config.status config.log config.cache
	autoheader
	autoconf

aclocal.m4: acinclude.m4
	aclocal

distclean: clean
	rm -f config.status config.log config.cache
	rm -f setup_linux.sh
	rm -rf ${EXPORTBASE}
	rm -rf ${PACKAGESBASE}/*
	rm -rf ${SPECFILESBASE}/*

cleanconfig: clean
	rm -f config.status config.log config.cache
	rm -f Make-config configure aclocal.m4

doc:
	rm -rf ${DOCBASE}/manual/api/*.html
	mkdir -p ${DOCBASE}/manual/api
	doxygen ${SOURCEBASE}/doc/torcsdoc.conf

tags:
	rm -f ${TORCS_BASE}/TAGS
	find ${TORCS_BASE}/src -name '*.h' -exec etags -a {} \;
	find /usr/include/plib -name '*.h' -exec etags -a {} \;
	find ${TORCS_BASE}/src -name '*.cpp' -exec etags -a {} \;
	find ${TORCS_BASE}/src -name '*.c' -exec etags -a {} \;

setup_linux.sh: linuxsetup
	@chmod +x setup_linux.sh

=== 0/Makefile ===
##############################################################################
#
#    file                 : Makefile
#    created              : Wed Jan 8 18:31:16 CET 2003
#    copyright            : (C) 2002 Bernhard Wymann
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################

ROBOT       = bt
SHIPDIR     = drivers/${ROBOT}/0
SHIP        = default.xml
SHIPSUBDIRS = practice qualifying race

PKGSUBDIRS  = ${SHIPSUBDIRS}
src-robots-bt_PKGFILES = $(shell find * -maxdepth 0 -type f -print)
src-robots-bt_PKGDIR   = ${PACKAGE}-${VERSION}/$(subst ${TORCS_BASE},,$(shell pwd))
include ${MAKE_DEFAULT}

=== data/Makefile ===
##############################################################################
#
#    file                 : Makefile
#    created              : Tue Aug 31 22:25:21 CEST 1999
#    copyright            : (C) 1999 by Eric Espie                         
#    email                : torcs@free.fr   
#    version              : $Id: Makefile,v 1.3 2002/06/28 20:03:41 torcs Exp $                                  
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################


DATASUBDIRS	= data cars tracks

PKGSUBDIRS	= $(DATASUBDIRS)


include ${MAKE_DEFAULT}

=== 0/practice/Makefile ===
##############################################################################
#
#    file                 : Makefile
#    created              : Wed Jan 8 18:31:16 CET 2003
#    copyright            : (C) 2002 Bernhard Wymann
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################

ROBOT       = bt
SHIPDIR     = drivers/${ROBOT}/0/practice
SHIP        = $(shell find *.xml -maxdepth 0 -type f -print)

src-robots-bt_PKGFILES = $(shell find * -maxdepth 0 -type f -print)
src-robots-bt_PKGDIR   = ${PACKAGE}-${VERSION}/$(subst ${TORCS_BASE},,$(shell pwd))
include ${MAKE_DEFAULT}

=== 0/qualifying/Makefile ===
##############################################################################
#
#    file                 : Makefile
#    created              : Wed Jan 8 18:31:16 CET 2003
#    copyright            : (C) 2002 Bernhard Wymann
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################

ROBOT       = bt
SHIPDIR     = drivers/${ROBOT}/0/qualifying
SHIP        = $(shell find *.xml -maxdepth 0 -type f -print)

src-robots-bt_PKGFILES = $(shell find * -maxdepth 0 -type f -print)
src-robots-bt_PKGDIR   = ${PACKAGE}-${VERSION}/$(subst ${TORCS_BASE},,$(shell pwd))
include ${MAKE_DEFAULT}

=== 0/race/Makefile ===
##############################################################################
#
#    file                 : Makefile
#    created              : Wed Jan 8 18:31:16 CET 2003
#    copyright            : (C) 2002 Bernhard Wymann
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################

ROBOT       = bt
SHIPDIR     = drivers/${ROBOT}/0/race
SHIP        = $(shell find *.xml -maxdepth 0 -type f -print)

src-robots-bt_PKGFILES = $(shell find * -maxdepth 0 -type f -print)
src-robots-bt_PKGDIR   = ${PACKAGE}-${VERSION}/$(subst ${TORCS_BASE},,$(shell pwd))
include ${MAKE_DEFAULT}

=== data/cars/Makefile ===
##############################################################################
#
#    file                 : Makefile
#    created              : Sat Mar 18 22:55:40 CET 2000
#    copyright            : (C) 2000 by Eric Espie                         
#    email                : torcs@free.fr   
#    version              : $Id: Makefile,v 1.3.6.1 2010/01/17 18:57:40 berniw Exp $                                  
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################


DATASUBDIRS	= categories models wheels

PKGSUBDIRS	= $(DATASUBDIRS)


include ${MAKE_DEFAULT}

=== data/data/Makefile ===
##############################################################################
#
#    file                 : Makefile
#    created              : Tue Aug 31 22:25:21 CEST 1999
#    copyright            : (C) 1999 by Eric Espie                         
#    email                : torcs@free.fr   
#    version              : $Id: Makefile,v 1.3.6.1 2011/12/28 14:42:27 berniw Exp $                                  
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################


DATASUBDIRS = img menu fonts textures sound objects tracks music

PKGSUBDIRS	= $(DATASUBDIRS)

include ${MAKE_DEFAULT}

=== data/tracks/Makefile ===
##############################################################################
#
#    file                 : Makefile<2>
#    created              : Sun Mar 19 00:13:24 CET 2000
#    copyright            : (C) 2000 by Eric Espie                         
#    email                : torcs@free.fr   
#    version              : $Id: Makefile,v 1.2 2002/06/28 20:03:43 torcs Exp $                                  
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################


DATASUBDIRS = $(shell find * -maxdepth 0 -type d -print | grep -v CVS)	

PKGSUBDIRS	= $(DATASUBDIRS)

include ${MAKE_DEFAULT}

=== src/interfaces/Makefile ===
##############################################################################
#
#    file                 : Makefile
#    created              : Sun Jan 30 22:58:22 CET 2000
#    copyright            : (C) 2000 by Eric Espie                         
#    email                : torcs@free.fr   
#    version              : $Id: Makefile,v 1.4 2003/01/11 20:37:47 torcs Exp $                                  
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################

EXPDIR  = include

EXPORTS = $(shell find * -maxdepth 0 -name '*.h' -print)

src_PKGFILES	= $(shell find * -maxdepth 0 -type f -print)

src_PKGDIR	= ${PACKAGE}-${VERSION}/$(subst ${TORCS_BASE},,$(shell pwd))

include ${MAKE_DEFAULT}

=== src/linux/Makefile ===
##############################################################################
#
#    file                 : Makefile
#    created              : Sat Mar 18 23:53:52 CET 2000
#    copyright            : (C) 2000 by Eric Espie                         
#    email                : torcs@free.fr   
#    version              : $Id: Makefile,v 1.12.2.1 2011/12/28 15:05:11 berniw Exp $                                  
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################

TOOLSDIR    = 

TOOLSCRIPT  = torcs

PROGRAM = torcs-bin

SOURCES = main.cpp linuxspec.cpp

LDFLAGS = -rdynamic

SOLIBS  =  -lracescreens  \
	   -lrobottools   \
	   -lclient       \
	   -lconfscreens  \
	   -ltgf          \
	   -ltgfclient    \
	   -ltxml	  \
	   -lplibul	  \
	   -lraceengine   \
	   -lmusicplayer  \
	   -llearning

EXPDIR  = include

EXPORTS = osspec.h

src_PKGFILES	= $(shell find * -maxdepth 0 -type f -print)

src_PKGDIR	= ${PACKAGE}-${VERSION}/$(subst ${TORCS_BASE},,$(shell pwd))

include ${MAKE_DEFAULT}

=== src/modules/Makefile ===
##############################################################################
#
#    file                 : Makefile
#    created              : Sun Jan 30 22:43:26 CET 2000
#    copyright            : (C) 2000 by Eric Espie                         
#    email                : torcs@free.fr   
#    version              : $Id: Makefile,v 1.5 2003/01/05 20:22:33 torcs Exp $                                  
#
##############################################################################
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
##############################################################################

SUBDIRS		= simu track graphic telemetry

SHIPSUBDIRS	= telemetry graphic

EXPINCDIRS      = simu

PKGSUBDIRS	= track simu graphic telemetry

src_PKGFILES	= Makefile

src_PKGDIR	= ${PACKAGE}-${VERSION}/$(subst ${TORCS_BASE},,$(shell pwd))

include ${MAKE_DEFAULT}

=== debian/changelog ===
torcs (1.3.7+dfsg-5) unstable; urgency=medium

  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.1.
  * Use canonical VCS URL.
  * Mark torcs-data Multi-Arch: foreign
  * Support runstatedir option.

 -- Markus Koschany <apo@debian.org>  Sat, 02 Jan 2021 13:58:00 +0100

torcs (1.3.7+dfsg-4) unstable; urgency=medium

  * Add gcc7.patch. Fix FTBFS with GCC 7. (Closes: #853685)
  * Declare compliance with Debian Policy 4.0.1.

 -- Markus Koschany <apo@debian.org>  Wed, 16 Aug 2017 02:16:54 +0200

torcs (1.3.7+dfsg-3) unstable; urgency=medium

  * Upload to unstable.
  * Add Forwarded headers to patches.
  * Use https for Format field.
  * Declare compliance with Debian Policy 4.0.0.

 -- Markus Koschany <apo@debian.org>  Thu, 22 Jun 2017 19:54:23 +0200

torcs (1.3.7+dfsg-2) experimental; urgency=medium

  * Build with --no-parallel option to prevent a race condition.

 -- Markus Koschany <apo@debian.org>  Sat, 06 May 2017 01:23:42 +0200

torcs (1.3.7+dfsg-1) experimental; urgency=medium

  * New upstream release. (Closes: #731043)
  * Repack the tarball and remove non-free car models.
  * New maintainer Debian Games Team. Add myself as Uploader. (Closes: #846794)
  * Drop 0002-fix-as-needed-build.patch and 0003-fix-glibc-isnan-isinf.patch
    (apparently fixed by upstream) and refresh the remaining patches.
  * Add manpage-and-spelling.patch and fix some minor spelling mistakes and man
    page errors.
  * Remove torcs-data-cars and torcs-data-tracks binary packages and ship all
    data files with torcs-data from now on.
  * Declare compliance with Debian Policy 3.9.8.
  * Use canonical Vcs-URI and move the packaging to pkg-games. Only commit the
    debian directory because it is simpler to maintain.
  * Remove obsolete Build-Conflicts field.
  * Switch to compat level 10.
  * Switch from cdbs to dh sequencer.
  * Add README.source file. Explain how to retrieve the dfsg-free sources.
  * Drop README.Debian and TODO.Debian. Obsolete.
  * Install upstream's man pages from now on. (which were in fact provided by
    Debian)
  * Drop deprecated Debian menu file.
  * Add keywords and a comment in German to torcs.desktop.
  * Update debian/watch file and add a get-orig-source target.
  * Update debian/copyright for the latest upstream release. Add missing
    licenses.
  * Use all hardening build flags and build with -Wl,--as-needed.

 -- Markus Koschany <apo@debian.org>  Fri, 05 May 2017 20:47:01 +0200

=== debian/control ===
Source: torcs
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 freeglut3-dev (>= 2.2.0),
 libalut-dev (>= 1.0.0),
 libgl1-mesa-dev,
 libopenal-dev,
 libplib-dev,
 libpng-dev,
 libvorbis-dev,
 libx11-dev (>= 6.8.2),
 libxi-dev,
 libxmu-dev (>= 6.8.2),
 libxrandr-dev,
 libxrender-dev,
 libxt-dev (>= 6.8.2),
 libxxf86vm-dev (>= 6.8.2),
 zlib1g-dev (>= 1.2.1.1)
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/games-team/torcs.git
Vcs-Browser: https://salsa.debian.org/games-team/torcs
Homepage: http://torcs.org

Package: torcs
Architecture: any
Depends:
 torcs-data (>= 1.3.7+dfsg),
 ${misc:Depends},
 ${shlibs:Depends}
Description: 3D racing cars simulator game using OpenGL
 TORCS, The Open Racing Car Simulator, is a car racing simulation game which
 allows you to drive in races against opponents simulated by the computer.
 .
 You can also develop your own computer-controlled driver (also called a robot)
 in C or C++.

Package: torcs-data
Multi-Arch: foreign
Architecture: all
Breaks:
 torcs-data-cars (<< 1.3.7+dfsg-1),
 torcs-data-tracks (<< 1.3.7+dfsg-1)
Replaces:
 torcs-data-cars (<< 1.3.7+dfsg-1),
 torcs-data-tracks (<< 1.3.7+dfsg-1)
Suggests:
 torcs (>= 1.3.7+dfsg)
Depends:
 ${misc:Depends}
Description: data files for TORCS
 TORCS, The Open Racing Car Simulator, is a car racing simulation game which
 allows you to drive in races against opponents simulated by the computer.
 .
 This package includes all data files for the game including cars and tracks.

=== debian/rules ===
#!/usr/bin/make -f
PKD   = $(abspath $(dir $(MAKEFILE_LIST)))
PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
VER   = $(shell dpkg-parsechangelog -l$(PKD)/changelog -SVersion | cut -d- -f1)
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --without autoreconf --no-parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		--bindir=\$${prefix}/games \
		--x-libraries=/usr/lib/

override_dh_install:
	$(RM) debian/tmp/usr/share/games/torcs/telemetry/telemetry.sh
	$(RM) debian/tmp/usr/share/games/torcs/tracks/road/ole-road-1/generate.sh
	$(RM) debian/tmp/usr/share/games/torcs/COPYING
	dh_install
	find debian/ -type f -name Makefile -delete
	find debian/ -type d -empty -delete

override_dh_auto_install:
	dh_auto_install -- install DESTDIR=$(CURDIR)/debian/tmp
	dh_auto_install -- datainstall DESTDIR=$(CURDIR)/debian/tmp

override_dh_installchangelogs:
	# The Changes paragraph inside the README is basically the changelog.
	dh_installchangelogs README

## http://wiki.debian.org/onlyjob/get-orig-source
.PHONY: get-orig-source
get-orig-source: $(PKG)_$(VER).orig.tar.xz $(info I: $(PKG)_$(VER))
	@

$(PKG)_$(VER).orig.tar.xz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-current-version $(PKD)
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) \
	&& tar -xf $(PKG)_*.orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
	|| $(RM) -r $(PKG)-$(VER)
	@echo "# Cleaning-up..."
	cd $(PKG)-$(VER) \
	&& find -depth -type d -name 'windows' -exec $(RM) -r {} \; -printf 'removed %p\n' \
	&& find -depth -type d -name 'CVS' -exec $(RM) -r {} \; -printf 'removed %p\n' \
	&& $(RM) -r -v \
		data/cars/models/pw-* data/cars/models/kc-*
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | LC_ALL=C sort \
	| XZ_OPT="-6v" tar -caf "$(PKG)_$(VER).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	&& $(RM) -r "$(PKG)-$(VER)"
